# Comment Permissions module

 The Comment Permissions module enables control of commenting by user role and
 by node type. Additional user permissions for selected node types are added
 to the user access system so you can configure commenting with more control
 than Drupal core provides.

> This module is not entirely rewriting access system for comment module.
    Instead, it's overriding it, by providing an additional access level.
    To make it working you need first to give access permission for comment
    module, after, you can customize permission access level per content type
    or user, in comment_perm module.

### Requirements
 - Comment module

## Installation and configuration
1. Install as you would normally install a contributed Drupal module.
    Place this module directory in your modules folder (this will usually
     be 'sites/all/modules/').\
  Visit https://www.drupal.org/node/895232/ for further information.

2. Enable the module.

3. Select available content types in **Administration » Configuration
    » System » Comment permissions**\
    (direct path: *admin/config/system/comment_perm*)\
    Enable the extended comment permissions for certain content types.

4. Configure user access in **Administration » People » Permissions**\
    Select which roles can access/post comments for enabled content types.
    1. Give needed permissions access for comment module
    2. Give needed permissions access per content type for comment_perm module

### Upgrade from 7.x-1.x
 To upgrade from a previous version:
  - Uninstall current version
  - Download the 7.x-2.x version
  - Re-enable module, and follow above configuration steps

### Maintainers
 - Sorin Dediu [@sdstyles](http://drupal.org/user/1420228)
